PORT-LINT(1)

NAME
port-lint - Check a port for common problems

SYNOPSIS

port [-vdq] [-D portdir] lint
     [--nitpick]
     [[portname | pseudo-portname | port-expressions | port-url]]

DESCRIPTION

port lint checks the Portfile of a given port for potential errors. It is a useful tool for port maintainers to check for possible typos, mistakes and missing definitions.

For example, it verifies that

    • Portfiles are valid UTF-8

    • all mandatory properties are present

    • all dependencies actually exist, and

    • no deprecated features are used.

If problems are found, port lint emits warnings and error messages explaining the problem. Please fix all errors and consider fixing any warnings before submitting your Portfile or your changes to MacPorts.

OPTIONS

--nitpick
    Enables additional checks that are mostly whitespace-related and best practices.

GLOBAL OPTIONS

Please see the section GLOBAL OPTIONS in the port(1) man page for a description of global port options.

-v
    Print messages for successful tests.

-d
    Print the Portfile, and debugging information parsed from the Portfile.

-q
    Suppress the header line, warning and error count; only print warnings and errors, if any.

SEE ALSO

port(1), portfile(7), port-dev-style(7)

AUTHORS

    (C) 2014 The MacPorts Project
    Clemens Lang <cal@macports.org>